public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "David Seifert" <soap@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-db/freetds/
Date: Mon,  6 Aug 2018 13:41:59 +0000 (UTC)	[thread overview]
Message-ID: <1533562905.56767b4da64d320c30c9b214c0411f1dcab86fa4.soap@gentoo> (raw)

commit:     56767b4da64d320c30c9b214c0411f1dcab86fa4
Author:     David Seifert <soap <AT> gentoo <DOT> org>
AuthorDate: Mon Aug  6 13:30:31 2018 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Mon Aug  6 13:41:45 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=56767b4d

dev-db/freetds: [QA] fix multiple violations

* Fix broken --docdir on Prefix
* Don't build static archives unless
  USE="static-libs" is enabled
* Remove .la files unless USE="static-libs"
  is enabled
* Bump to EAPI 7
* Clean up overly complicated src_configure
* Add subslot operator for gnutls, libressl
  and openssl

Package-Manager: Portage-2.3.44, Repoman-2.3.10

 dev-db/freetds/freetds-1.00.341.ebuild | 44 +++++++++++++++++++---------------
 dev-db/freetds/metadata.xml            |  2 +-
 2 files changed, 26 insertions(+), 20 deletions(-)

diff --git a/dev-db/freetds/freetds-1.00.341.ebuild b/dev-db/freetds/freetds-1.00.341.ebuild
index f975c08fe56..77ec3228c82 100644
--- a/dev-db/freetds/freetds-1.00.341.ebuild
+++ b/dev-db/freetds/freetds-1.00.341.ebuild
@@ -1,7 +1,7 @@
 # Copyright 1999-2018 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=6
+EAPI=7
 
 # This is from the "current" release series, because the "stable" series
 # is a little too stable for us (missing bug fixes, and so on).
@@ -13,25 +13,23 @@ SRC_URI="ftp://ftp.freetds.org/pub/${PN}/current/${MY_PN}.${PV}.tar.gz"
 
 LICENSE="GPL-2"
 SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64
-		  ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~ppc-macos"
-IUSE="gnutls iconv kerberos libressl mssql iodbc odbc ssl"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~ppc-macos"
+IUSE="gnutls iconv kerberos libressl mssql iodbc odbc ssl static-libs"
 RESTRICT="test"
 
 # sed, grep, and awk are used by the build system and the osql script.
 COMMON_DEPEND="sys-apps/sed
 	sys-apps/grep
 	virtual/awk
-	gnutls? ( net-libs/gnutls )
+	gnutls? ( net-libs/gnutls:= )
 	iconv? ( virtual/libiconv )
 	iodbc? ( dev-db/libiodbc )
 	kerberos? ( virtual/krb5 )
 	odbc? ( dev-db/unixODBC )
 	ssl? (
-		!libressl? ( dev-libs/openssl:0 )
-		libressl? ( dev-libs/libressl )
+		!libressl? ( dev-libs/openssl:0= )
+		libressl? ( dev-libs/libressl:0= )
 	)"
-
 DEPEND="${COMMON_DEPEND}"
 
 # bind-tools is needed because the osql script calls "host".
@@ -48,15 +46,23 @@ REQUIRED_USE="?? ( iodbc odbc )"
 S="${WORKDIR}/${MY_PN}.${PV}"
 
 src_configure() {
-	local myconf=( $(use_with iodbc) )
-	myconf+=( $(use_with odbc unixodbc "${EPREFIX}/usr") )
-	myconf+=( $(use_enable iconv libiconv) )
-	myconf+=( $(use_with iconv libiconv-prefix "${EPREFIX}/usr") )
-	myconf+=( $(use_enable kerberos krb5) )
-	myconf+=( $(use_enable mssql msdblib) )
-	myconf+=( $(use_with gnutls) )
-	myconf+=( $(use_with ssl openssl "${EPREFIX}/usr") )
-	myconf+=( --docdir="/usr/share/doc/${PF}" )
-
-	econf "${myconf[@]}"
+	econf \
+		--enable-shared \
+		$(use_enable iconv libiconv) \
+		$(use_enable kerberos krb5) \
+		$(use_enable mssql msdblib) \
+		$(use_enable static-libs static) \
+		$(use_with iodbc) \
+		$(use_with odbc unixodbc "${EPREFIX}/usr") \
+		$(use_with iconv libiconv-prefix "${EPREFIX}/usr") \
+		$(use_with gnutls) \
+		$(use_with ssl openssl "${EPREFIX}/usr")
+}
+
+src_install() {
+	default
+
+	if ! use static-libs; then
+		find "${D}" -name '*.la' -delete || die
+	fi
 }

diff --git a/dev-db/freetds/metadata.xml b/dev-db/freetds/metadata.xml
index 6f49eba8f49..7a38bb90096 100644
--- a/dev-db/freetds/metadata.xml
+++ b/dev-db/freetds/metadata.xml
@@ -1,5 +1,5 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
 <pkgmetadata>
-<!-- maintainer-needed -->
+	<!-- maintainer-needed -->
 </pkgmetadata>


             reply	other threads:[~2018-08-06 13:42 UTC|newest]

Thread overview: 79+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2018-08-06 13:41 David Seifert [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-04-26  2:19 [gentoo-commits] repo/gentoo:master commit in: dev-db/freetds/ Sam James
2025-04-26  2:18 Sam James
2025-04-26  1:45 Sam James
2025-04-26  1:37 Sam James
2025-04-26  1:31 Sam James
2025-04-26  1:24 Sam James
2025-04-26  1:02 Sam James
2025-03-10  0:07 Sam James
2025-03-10  0:07 Sam James
2025-02-24  8:52 Petr Vaněk
2025-01-23 20:58 Sam James
2025-01-23 14:11 Jakov Smolić
2025-01-23 14:11 Jakov Smolić
2025-01-23 14:11 Jakov Smolić
2025-01-23 14:11 Jakov Smolić
2024-12-23 13:06 Petr Vaněk
2024-12-23 13:06 Petr Vaněk
2024-11-25 21:49 Sam James
2024-11-23 17:19 Sam James
2024-11-23 16:55 Michał Górny
2024-11-23 15:05 Michał Górny
2024-11-23 14:27 Sam James
2024-11-23 12:41 Sam James
2024-06-27  9:28 Patrick Lauer
2022-11-19  4:50 WANG Xuerui
2022-08-19  4:04 Sam James
2021-07-24 23:43 Yixun Lan
2021-05-01 18:07 Sam James
2021-01-24 20:31 Sam James
2021-01-24 13:30 Sam James
2021-01-20  9:30 Sam James
2021-01-20  0:06 Sam James
2021-01-20  0:05 Sam James
2021-01-20  0:05 Sam James
2021-01-20  0:04 Sam James
2021-01-20  0:03 Sam James
2021-01-20  0:02 Sam James
2021-01-10 19:13 Sam James
2019-07-29 17:31 Andreas Sturmlechner
2019-07-29 17:31 Andreas Sturmlechner
2019-07-29 14:38 Mikle Kolyada
2019-06-05 13:13 Agostino Sarubbo
2019-05-27 18:35 Andreas Sturmlechner
2019-05-26  7:04 Sergei Trofimovich
2019-05-24 22:50 Sergei Trofimovich
2019-05-24 22:08 Sergei Trofimovich
2019-05-23 12:41 Mikle Kolyada
2019-05-22  7:36 Sergei Trofimovich
2019-05-22  5:49 Aaron Bauman
2019-05-20 17:25 Sergei Trofimovich
2019-02-28 16:53 Mikle Kolyada
2019-02-19  3:19 Michael Orlitzky
2019-01-27 11:05 Pacho Ramos
2018-12-06 15:48 Mikle Kolyada
2018-11-29 17:44 Tobias Klausmann
2018-11-24 10:59 Sergei Trofimovich
2018-11-24 10:49 Sergei Trofimovich
2018-11-24 10:45 Sergei Trofimovich
2018-11-24 10:39 Sergei Trofimovich
2018-11-24  9:00 Mikle Kolyada
2018-11-23 20:30 Thomas Deutschmann
2018-11-23  8:53 Sergei Trofimovich
2018-10-20 18:52 Pacho Ramos
2018-03-28 21:57 Patrice Clement
2018-01-22  1:28 Michael Orlitzky
2017-10-15 12:06 Sergei Trofimovich
2017-08-22 13:35 Michael Orlitzky
2017-08-21 15:43 Michael Orlitzky
2017-08-13 14:37 Michael Orlitzky
2017-06-21 17:11 Alexis Ballier
2017-06-08 10:16 Agostino Sarubbo
2017-06-08  5:07 Markus Meier
2017-06-06 11:22 Thomas Deutschmann
2016-07-31  3:23 Michael Orlitzky
2016-07-07 22:50 Austin English
2016-06-12  6:39 Hans de Graaff
2016-05-24  4:50 Hans de Graaff
2016-05-21 15:47 Pacho Ramos

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1533562905.56767b4da64d320c30c9b214c0411f1dcab86fa4.soap@gentoo \
    --to=soap@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox